<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="format-detection" content="telephone=no" />
    <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1" />
    <title>lochaMesh</title>
    <link rel="stylesheet" href="css/ratchet.css">
    <link rel="stylesheet" href="css/ratchet-theme-android.min.css">
    <link rel="stylesheet" href="css/ionicons.min.css">
    <link rel="stylesheet" href="css/custom.css">
    <script src="js/ratchet.js"></script>
    <script src="js/vue.js"></script>
    <script src="js/vue-router.js"></script>
    <script src="js/lochaCrypto.js"></script>
    <style>
        .input-search {
            padding-left: 5%;
            background-color: transparent !important;
            border: none;
            border-radius: 10%;
            height: 2rem;
            width: 100%;
        }

        .automsg-input {
            border: none;
            height: 2rem;
            width: 25%;
        }

        .list-title {
            position: relative;
            font-size: 90%;
            /*background-color: rgb(190, 190, 190);*/
            padding-left: 5%;
            padding-right: 5%; 
            border-bottom: 4px solid rgb(0, 195, 255);
            z-index: 9999;
        }

        .wallet-info {
            position: relative;
            text-align: center;
            line-height: 1.25;
            background-color: rgb(209, 209, 209);
            padding-top: 1%;
            padding-bottom: 5%;
            margin-top: 0;
            margin-left: 0;
            margin-right: 0;
        }
    </style>
</head>

<body>
    <div id="mainView">
        <nav class="bar bar-tab">
            <a class="tab-item active" href="#">
                <span class="icon ion-md-chatboxes"></span>
                <span class="tab-label">Chats</span>
            </a>
            <a class="tab-item" href="#modal_contacts">
                <span class="icon ion-md-contacts"></span>
                <span class="tab-label">Contacts</span>
            </a>
            <a class="tab-item" href="#modal_wallet">
                <span class="icon ion-md-wallet"></span>
                <span class="tab-label">Wallet</span>
            </a>
            <a class="tab-item" href="#modal_settings">
                <span class="icon ion-md-settings"></span>
                <span class="tab-label">Settings</span>
            </a>
        </nav>
        <!-- active chat list -->
        <div class="content">
            <ul class="table-view">
                <li v-for="chat in chats" class="table-view-cell media">

                    <a v-if="chat.id != 'broadcast'" :href="'#chat_' + chat.id">
                        {{ chat.alias }}
                        <h5>{{ chat.id }}</h5>
                    </a>
                    <a v-else :href="'#chat_' + chat.id">{{ chat.alias }}</a>
                </li>
            </ul>

            <!-- user chat -->
            <div v-for="contact in contacts" class="modal" :id="'chat_' + contact.id">
                <div :id="'opt_' + contact.id" class="popover">

                    <ul class="table-view">
                        <li class="table-view-divider">
                            auto messages
                        </li>
                        <li class="table-view-cell">
                            <label>Active: </label>
                            <input v-model="autoMsg.active" v-on:change="sendAutoMsgs(contact.id)" type="checkbox"
                                class="toggle">
                        </li>
                    </ul>
                </div>

                <header class="bar bar-nav">
                    <a :href="'#opt_' + contact.id">
                        <span class="icon icon-bars"></span>
                    </a>
                    <a class="icon icon-close pull-right" :href="'#chat_' + contact.id"></a>
                </header>

                <div class="conversation" style="padding-top: 14%;">
                    <div class="conversation-container" style="padding-top: 2em;">
                        <div v-for="msg in contact.chat" :class="'message ' + msg.type">
                            {{ msg.txt }}
                            <br>
                            <span class="metadata">
                                <span class="time">{{ msg.time | posixToDateTime }}</span>
                            </span>
                        </div> <!-- // end for -->
                    </div>
                    <!-- input text -->
                    <div class="conversation-compose">

                        <div class="emoji">
                            <span class="icon ion-md-mic"></span>
                        </div>
                        <input v-model="contact.draft_input" class="input-msg" name="input" placeholder="Type a message"
                            autocomplete="off">
                        <button class="send" v-on:click="sendData(contact.id, contact.draft_input)">
                            <div class="circle">
                                <span class="icon ion-md-send"></span>
                            </div>
                        </button>

                    </div>
                    <!-- // input text  -->
                </div>
            </div>
        </div>


        <!-- contact list -->
        <div class="modal" id="modal_contacts">
            <header class="bar bar-nav">
                <a class="icon icon-close pull-right" href="#modal_contacts"></a>
            </header>
            <div class="content">
                <ul class="table-view">
                    <li v-for="c in contacts" class="table-view-cell">
                        <a :href="'#contact_' + c.id">{{ c.alias }}<h5>{{ c.id }}</h5></a>
                    </li>
                </ul>
                <!-- contact detail -->
                <div v-for="c in contacts" :id="'contact_' + c.id" class="modal">
                    <header class="bar bar-nav">
                        <a class="icon ion-md-close pull-right" :href="'#contact_' + c.id"></a>
                    </header>
                    <div class="conversation" style="padding: 25% 5% 5% 5%;">
                        <h2>
                            <span class="icon ion-md-contact"></span> {{ c.alias }}
                        </h2>
                        <h5>{{ c.id }}</h5>
                        <hr>
                        <h4 style="padding-right:10%;">messages: {{ c.chat.length }}
                            <button v-on:click="purgeChat(c.id)" class="btn btn-primary pull-right">Purge</button>
                        </h4>
                    </div>
                    <div class="bar bar-standard bar-footer" style="background-color: #fff">
                        <a class="icon icon-compose pull-left"></a>
                        <a class="icon icon-gear pull-right"></a>
                    </div>
                </div>
            </div>
        </div>
        <!--wallet section -->
        <div class="modal" id="modal_wallet">
            <header class="bar bar-nav">
                
                <a class="icon ion-md-close pull-right" href="#modal_wallet"></a>
                <h1 class="title">Wallet</h1>
            </header>
            <div class="content">
             
                <ul v-if="wallet.txs_preview.length > 0" class="table-view">
                    <li v-for="tx in wallet.txs_preview" class="table-view-cell">
                        <span v-if="tx.type=='in'">
                            in
                        </span>
                        <span v-if="tx.type=='out'">
                            out
                        </span>
                    </li>
                </ul>
                <div v-else class="content-padded wallet-info">
                    <h5>
                        <span class="icon ion-md-alert"></span>
                        You don't have transactions yet
                    </h5>
                </div>
                <!--
                <div v-if="wallet.initiated === false" class="wallet-info"></div>
                -->
            </div>

        </div>
        <!-- settings -->
        <div class="modal" id="modal_settings">
            <header class="bar bar-nav">
                <a class="icon ion-md-close pull-right" href="#modal_settings"></a>
            </header>
            <div class="content">
                <!-- Devices List -->
                <span class="list-title">Devices</span>
                <ul class="table-view">
                    <li v-for="dev in devicesList" class="table-view-cell">
                        <a v-on:click="connect(dev)" class="navigate-right">
                            <p>{{ dev.name }}</p>{{ dev.id }}
                        </a>
                    </li>
                    <li v-if="paired.id" class="table-view-divider">
                        Paired
                    </li>
                    <li v-if="paired.id" class="table-view-cell">
                        <a v-on:click="disconnect(paired)" class="navigate-right">
                            <p>{{ paired.name }}</p>{{ paired.id }}
                            <span class="icon icon-check pull-right"></span>
                        </a>
                    </li>
                    <!-- button scan -->
                    <button v-on:click="scanDevices" class="btn btn-primary btn-block">
                        <span class="icon ion-md-search"></span>
                        Scan devices
                    </button>
                </ul>

                <hr>
                <!-- ID -->
                <span class="list-title">Your ID</span>
                <ul class="table-view">
                    <li v-if="myID == null" class="table-view-cell">
                        <a  v-on:click="ECPair" class="navigate-right">Generate</a>
                    </li>

                    <li v-else class="table-view-cell">
                            {{ myID.address || null }}
                        <a  class="navigate-right"></a>
                    </li>

                    <li class="table-view-cell">
                        <a  v-on:click="ECPair" class="navigate-right">Generate</a>
                    </li>
                </ul>
                <hr>
                <!-- DEBUG -->
                <span class="list-title">Debug</span>
                <ul class="table-view">
                    <li class="table-view-cell">
                        <label>auto messages : <input v-model="autoMsg.period" class="automsg-input"></label>
                    </li>
                </ul>

            </div>
        </div>
    </div>

    <script type="text/javascript" src="cordova.js"></script>
    <script src="js/index.js"></script>
</body>

</html>